<?xml version="1.0" encoding="utf-8"?>
<!--
**
** Copyright 2009, The Android Open Source Project
**
** Licensed under the Apache License, Version 2.0 (the "License")
** you may not use this file except in compliance with the License.
** You may obtain a copy of the License at
**
**     http://www.apache.org/licenses/LICENSE-2.0
**
** Unless required by applicable law or agreed to in writing, software
** distributed under the License is distributed on an "AS IS" BASIS,
** WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
** See the License for the specific language governing permissions and
** limitations under the License.
*/
-->
<device name="Android">
  <!-- All values are in mA except as noted -->
  <item name="none">0</item>
  <item name="screen.on">58</item> <!-- min brite -->
  <item name="bluetooth.active">97</item>
  <item name="bluetooth.on">0.6</item>
  <item name="bluetooth.at">0.6</item> <!-- TBD -->
  <item name="screen.full">292</item> <!-- backlight 16 leds -->
  <item name="wifi.on">0.6</item>
  <item name="wifi.active">139</item>
  <item name="wifi.scan">146</item>
  <item name="dsp.audio">43</item> <!-- k3v5 -->
  <item name="dsp.video">176</item>
  <item name="radio.active">190</item>
  <item name="gps.on">70</item>
  <item name="battery.capacity">4000</item> <!-- 4000mAh -->
  <item name="radio.scanning">65</item> <!-- TBD -->
  <!-- Current consumed by the radio at different signal strengths, when paging  -->
  <array name="radio.on"> <!-- 1 entry per signal strength bin, TBD -->
    <value>5.0</value>
    <value>5.0</value>
    <value>5.0</value>
    <value>5.0</value>
    <value>5.0</value>
  </array>
  <array name="cpu.clusters.cores">
    <value>3</value>
    <value>3</value>
  </array>
  <array name="cpu.core_speeds.cluster0">
    <value>541000</value> <!-- 541 MHz CPU speed -->
    <value>864000</value> <!-- 864 MHz CPU speed -->
    <value>999000</value> <!-- 999 MHz CPU speed -->
    <value>1133000</value> <!-- 1.13 GHz CPU speed -->
    <value>1268000</value> <!-- 1.26 GHz CPU speed -->
    <value>1392000</value> <!-- 1.39 GHz CPU speed -->
    <value>1508000</value> <!-- 1.50 GHz CPU speed -->
    <value>1623000</value> <!-- 1.62 GHz CPU speed -->
    <value>1748000</value> <!-- 1.74 GHz CPU speed -->
    <value>1844000</value> <!-- 1.84 GHz CPU speed -->
  </array>
  <array name="cpu.core_speeds.cluster1">
    <value>1037000</value> <!-- 1.03 GHz CPU speed -->
    <value>1152000</value> <!-- 1.15 GHz CPU speed -->
    <value>1268000</value> <!-- 1.26 GHz CPU speed -->
    <value>1392000</value> <!-- 1.39 GHz CPU speed -->
    <value>1536000</value> <!-- 1.53 GHz CPU speed -->
    <value>1690000</value> <!-- 1.69 GHz CPU speed -->
    <value>1844000</value> <!-- 1.84 GHz CPU speed -->
    <value>1978000</value> <!-- 1.97 GHz CPU speed -->
    <value>2132000</value> <!-- 2.13 GHz CPU speed -->
    <value>2228000</value> <!-- 2.23 GHz CPU speed -->
  </array>
  <!-- Power consumption in suspend -->
  <item name="cpu.idle">5</item> <!-- k3v5 -->
  <!-- Power consumption due to wake lock held -->
  <item name="cpu.awake">21</item> <!-- k3v5 -->
  <!-- Power consumption at different speeds -->
  <array name="cpu.core_power.cluster0">
    <value>37</value>
    <value>55</value>
    <value>72</value>
    <value>93</value>
    <value>107</value>
    <value>121</value>
    <value>158</value>
    <value>172</value>
    <value>218</value>
    <value>259</value>
  </array>
  <array name="cpu.core_power.cluster1">
    <value>134</value>
    <value>155</value>
    <value>197</value>
    <value>223</value>
    <value>261</value>
    <value>290</value>
    <value>320</value>
    <value>360</value>
    <value>470</value>
    <value>517</value>
  </array>
</device>